/**
 * Copyright 2018 University of Zurich
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package ch.uzh.seal.app;

import java.io.IOException;

public class ConfigurationMiner {


	public static void main(String[] args) throws IOException {

		//set some initial parameters
		String projectsCSVSheetPath =  args[0]; // "/Users/carminevassallo/Documents/CI-Linter/cd-linter/dataset.csv"; file generated by  "src/main/resources/sampleDataset.csv"; 
		String projectsPath = args[1]; // "folder"; "src/main/resources/projects" ;// "target/projects"; //args[1]; //
		String outputFile = args[2]; //"target/results.csv";
		String lintedProjectsPath = "target/configuration-miner-log.txt";
		String outputPath = null;
		String gitLabTokenPath = null;

		ConfigurationAnalytics analytics = new ConfigurationAnalytics(
				projectsCSVSheetPath,
				outputPath,
				lintedProjectsPath,
				projectsPath,
				gitLabTokenPath);

		try {

			analytics.computeAllStages(projectsPath, gitLabTokenPath, projectsCSVSheetPath, outputFile);
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

	}
}
